VSTGUI: ParameterChangeListener Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | Protected Types | Protected Member Functions | Protected Attributes | List of all members
ParameterChangeListener Class Reference
Inheritance diagram for ParameterChangeListener:

## Public Member Functions
| ParameterChangeListener (Steinberg::Vst::EditController *editController, Steinberg::Vst::Parameter *parameter, CControl *control)
| ~ParameterChangeListener () override
void | addControl (CControl *control)
void | removeControl (CControl *control)
bool | containsControl (CControl *control)
void PLUGIN_API | update (FUnknown *changedUnknown, Steinberg::int32 message) override
Steinberg::Vst::ParamID | getParameterID ()
void | beginEdit ()
void | endEdit ()
void | performEdit (Steinberg::Vst::ParamValue value)
Steinberg::Vst::Parameter * | getParameter () const

## Protected Types
using | ControlList = std::list< CControl * >

## Protected Member Functions
bool | convertValueToString (float value, char utf8String[256])
void | updateControlValue (Steinberg::Vst::ParamValue value)

## Protected Attributes
Steinberg::Vst::EditController * | editController
Steinberg::Vst::Parameter * | parameter
ControlList | controls

## Member Typedef Documentation

using ControlList = std::list<CControl*>
| protected

## Constructor & Destructor Documentation

ParameterChangeListener | ( | Steinberg::Vst::EditController * | editController,
|  | Steinberg::Vst::Parameter * | parameter,
|  | CControl * | control
| ) |  |
| inline

~ParameterChangeListener | ( |  | ) |
| inlineoverride

## Member Function Documentation

void addControl | ( | CControl * | control | ) |
| inline

void beginEdit | ( |  | ) |
| inline

bool containsControl | ( | CControl * | control | ) |
| inline

bool convertValueToString | ( | float | value,
|  | char | utf8String[256]
| ) |  |
| inlineprotected

void endEdit | ( |  | ) |
| inline

Steinberg::Vst::Parameter* getParameter | ( |  | ) | const
| inline

Steinberg::Vst::ParamID getParameterID | ( |  | ) |
| inline

void performEdit | ( | Steinberg::Vst::ParamValue | value | ) |
| inline

void removeControl | ( | CControl * | control | ) |
| inline

void PLUGIN_API update | ( | FUnknown * | changedUnknown,
|  | Steinberg::int32 | message
| ) |  |
| inlineoverride

void updateControlValue | ( | Steinberg::Vst::ParamValue | value | ) |
| inlineprotected

## Member Data Documentation

ControlList controls
| protected

Steinberg::Vst::EditController* editController
| protected

Steinberg::Vst::Parameter* parameter
| protected

The documentation for this class was generated from the following file:

- vst3editor.cpp